plugins {
    id 'com.android.application'
}

android {
    compileSdkVersion 30
    buildToolsVersion "30.0.3"
    defaultConfig {
        applicationId "com.tjzhxx.union"
        minSdkVersion 19
        targetSdkVersion 30
        versionCode 5
        versionName "1.5"

        testInstrumentationRunner "androidx.test.runner.AndroidJUnitRunner"
        //dex分包属性设置
        multiDexEnabled true
    }
    /*签名信息*/
    signingConfigs {
        sign {
            storeFile file('/Users/yanghuaxiong/AndroidStudioProjects/git/workers_union/Untitled')
            storePassword "111111"
            keyAlias "key0"
            keyPassword "111111"
        }
    }
    buildTypes {
        release {
            minifyEnabled false
            proguardFiles getDefaultProguardFile('proguard-android-optimize.txt'), 'proguard-rules.pro'
        }
        debug {
            minifyEnabled false
            signingConfig signingConfigs.sign
            proguardFiles getDefaultProguardFile('proguard-android.txt'), 'proguard-rules.pro'
        }
    }


    compileOptions {
        sourceCompatibility JavaVersion.VERSION_1_8
        targetCompatibility JavaVersion.VERSION_1_8
    }
}

dependencies {

    implementation 'androidx.appcompat:appcompat:1.1.0'
    implementation 'com.google.android.material:material:1.1.0'
    implementation 'androidx.constraintlayout:constraintlayout:1.1.3'
    testImplementation 'junit:junit:4.+'
    androidTestImplementation 'androidx.test.ext:junit:1.1.1'
    androidTestImplementation 'androidx.test.espresso:espresso-core:3.2.0'

    //图片加载框架
    implementation 'com.github.bumptech.glide:glide:4.12.0'
    annotationProcessor 'com.github.bumptech.glide:compiler:4.12.0'
    implementation 'com.github.bumptech.glide:okhttp3-integration:4.12.0'
    //butterknife
    implementation 'com.jakewharton:butterknife:10.0.0'
    annotationProcessor 'com.jakewharton:butterknife-compiler:10.0.0'
    //rxjava2
    implementation 'io.reactivex.rxjava2:rxjava:2.1.3'
    implementation 'io.reactivex.rxjava2:rxandroid:2.0.1'
    //retrofit2
    implementation 'com.squareup.retrofit2:retrofit:2.3.0'
    implementation 'com.squareup.retrofit2:converter-gson:2.3.0'
    //okhttp3
    implementation 'com.squareup.okhttp3:okhttp:4.2.2'
    implementation 'com.jakewharton.retrofit:retrofit2-rxjava2-adapter:1.0.0'
    //控制Rxjava生命周期
    implementation 'com.uber.autodispose:autodispose:0.8.0'
    implementation 'com.uber.autodispose:autodispose-android-archcomponents:0.8.0'
    //下拉刷新上拉加载更多
    implementation 'com.scwang.smart:refresh-layout-kernel:2.0.1'      //核心必须依赖
    implementation 'com.scwang.smart:refresh-header-material:2.0.1'    //经典刷新头
    implementation 'com.scwang.smart:refresh-footer-classics:2.0.1'    //经典加载
    //轮播图
    implementation 'cn.bingoogolapple:bga-banner:2.1.7@aar'
    //gson
    implementation 'com.google.code.gson:gson:2.8.0'
    /*高德地图*/
    //3D地图so及jar
    implementation 'com.amap.api:3dmap:latest.integration'
    //定位功能
//    implementation 'com.amap.api:location:latest.integration'
    //dex分包引用
    implementation 'com.android.support:multidex:1.0.1'
    implementation project(':easyPhotos')

    //图片工具
    implementation 'com.github.chrisbanes:PhotoView:2.3.0'
    //微信支付
    implementation 'com.tencent.mm.opensdk:wechat-sdk-android-without-mta:+'

}